profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Параметрична маршрутизаціяTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyСкрипти у конструкторі шаблонівProject ScaffoldingMedia Library

Headless

Швидкий стартSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

Огляд REST APIgetПідключення вебсайту до APIgetGET /routesgetGET /routegetGET /blocksgetотримати-блоки-з-CEL-кешемgetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postПереклад публікаційpatchОновлення перекладівgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components/{name}

Отримайте повне визначення полів одного нестандартного компонента за назвою.

Отримайте повне визначення одного нестандартного компонента за назвою, включно зі списком його полів.

Авторизація: Ключ API (заголовок x-api-key або параметр запиту api_key).

Параметри шляху

ПараметрТипОбов'язковийПримітки
nameрядоктакНазва схеми, наприклад post.

Параметри запиту

ПараметрТипОбов'язковийПримітки
websiteIduuidтакПовинен бути дійсним UUID.
api_keyрядокніАльтернатива заголовку x-api-key.

Відповідь

{
  "id": "...",
  "name": "post",
  "displayName": "Post",
  "description": "A documentation Post",
  "category": "Custom",
  "titleField": "title",
  "routeSlugField": "title",
  "icon": null,
  "fields": [
    { "name": "title", "type": "string", "required": true }
  ],
  "slugFields": ["title", "description"],
  "version": 8
}

slugFields обчислюється — це назви всіх полів типу «рядок».

Приклад

curl '{CMS_API_URL}/components/post?websiteId=<uuid>' \
  -H 'x-api-key: <key>'

Помилки

  • 400 — відсутній або некоректний websiteId
  • 401 — недійсний ключ API
  • 404 — схему не знайдено
Continue Reading
Previous‹GET /componentsNextGET /dataset/{schema_name}›